Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5FD_file_image_callbacks_t Struct Reference

`#include <src/H5FDpublic.h>`

## Detailed Description

Define structure to hold file image callbacks

## Data Fields
herr_t(* | image_free )(void *ptr, H5FD_file_image_op_t file_image_op, void *udata)
void *(* | image_malloc )(size_t size, H5FD_file_image_op_t file_image_op, void *udata)
void *(* | image_memcpy )(void *dest, const void *src, size_t size, H5FD_file_image_op_t file_image_op, void *udata)
void *(* | image_realloc )(void *ptr, size_t size, H5FD_file_image_op_t file_image_op, void *udata)
void * | udata
| The final field in the H5FD_file_image_callbacks_t struct, provides a pointer to user-defined data. This pointer will be passed to the image_malloc, image_memcpy, image_realloc, and image_free callbacks. Define udata as NULL if no user-defined data is provided.
void *(* | udata_copy )(void *udata)
herr_t(* | udata_free )(void *udata)

## Field Documentation

## ◆ image_free

herr_t(* image_free) (void *ptr, H5FD_file_image_op_t file_image_op, void *udata)

Parameters

  [in] | ptr | Pointer to the buffer being reallocated
  [in] | file_image_op | A value from H5FD_file_image_op_t indicating the operation being performed on the file image when this callback is invoked
  [in] | udata | Value passed in in the H5Pset_file_image_callbacks parameter `udata`

## ◆ image_malloc

void *(* image_malloc) (size_t size, H5FD_file_image_op_t file_image_op, void *udata)

Parameters

  [in] | size | Size in bytes of the file image buffer to allocate
  [in] | file_image_op | A value from H5FD_file_image_op_t indicating the operation being performed on the file image when this callback is invoked
  [in] | udata | Value passed in in the H5Pset_file_image_callbacks parameter `udata`

## ◆ image_memcpy

void *(* image_memcpy) (void *dest, const void *src, size_t size, H5FD_file_image_op_t file_image_op, void *udata)

Parameters

  [in] | dest | Address of the destination buffer
  [in] | src | Address of the source buffer
  [in] | size | Size in bytes of the file image buffer to allocate
  [in] | file_image_op | A value from H5FD_file_image_op_t indicating the operation being performed on the file image when this callback is invoked
  [in] | udata | Value passed in in the H5Pset_file_image_callbacks parameter `udata`

## ◆ image_realloc

void *(* image_realloc) (void *ptr, size_t size, H5FD_file_image_op_t file_image_op, void *udata)

Parameters

  [in] | ptr | Pointer to the buffer being reallocated
  [in] | size | Size in bytes of the file image buffer to allocate
  [in] | file_image_op | A value from H5FD_file_image_op_t indicating the operation being performed on the file image when this callback is invoked
  [in] | udata | Value passed in in the H5Pset_file_image_callbacks parameter `udata`

## ◆ udata

void* udata

The final field in the H5FD_file_image_callbacks_t struct, provides a pointer to user-defined data. This pointer will be passed to the image_malloc, image_memcpy, image_realloc, and image_free callbacks. Define udata as NULL if no user-defined data is provided.

## ◆ udata_copy

void *(* udata_copy) (void *udata)

Parameters

  [in] | udata | Value passed in in the H5Pset_file_image_callbacks parameter `udata`

## ◆ udata_free

herr_t(* udata_free) (void *udata)

Parameters

  [in] | udata | Value passed in in the H5Pset_file_image_callbacks parameter `udata`

The documentation for this struct was generated from the following file:

- src/H5FDpublic.h